#ifndef EXCELINPORT_H
#define EXCELINPORT_H

#include <QObject>
#include <QAxObject>

class ExcelInport : public QObject
{
    Q_OBJECT
public:
    explicit ExcelInport(QObject *parent = nullptr);

    void openExcel(const QString &filename);

    void closeExcel();

	int getRows();

	int getColumns();

	QVariant getValue(int row, int column);

private:
	QAxObject *getCurrentUserRange();

private:
    QAxObject *excel;
    QAxObject *workbook;
	QAxObject *currentWorkSheet;

	int startRow, startColumn;
};

#endif // EXCELINPORT_H
